BIO_F_NULL(3)

NAME
BIO_f_null - null filter

SYNOPSIS
#include <openssl/bio.h>
const BIO_METHOD *
BIO_f_null(void);

DESCRIPTION
BIO_f_null() returns the null filter BIO method. This is a filter BIO that does nothing. As may be apparent, a null filter BIO is not particularly useful.

All requests to a null filter BIO are passed through to the next BIO in the chain: this means that a BIO chain containing a null filter BIO behaves just as though the BIO was not there.

A chain containing a null filter BIO cannot be copied with BIO_dup_chain(3), and any attempt to do so fails and returns NULL.

RETURN VALUES
BIO_f_null() returns the null filter BIO method.

When called on a null filter BIO object, BIO_method_type(3) returns the constant BIO_TYPE_NULL_FILTER and BIO_method_name(3) returns a pointer to the static string "NULL filter", not to be confused with a NUL string nor with a NULL pointer.

SEE ALSO
BIO_new(3)

HISTORY
BIO_f_null() first appeared in SSLeay 0.8.0 and has been available since OpenBSD 2.4.